{% set name = "pyat" %}
{% set version = "3.7.0rc1" %}

package:
  name: "{{ name|lower }}"
  version: "{{ version }}"

source:
  path: ../..

requirements:
  run:
    - python
    - astropy
    - beautifulsoup4
    - blessings           # console color
    - cx_oracle
    - jxmlease
    - lxml
    - mysqlclient
    - numpy~=1.16
    - pendulum            # date/time formatting
    - pid
    - pika=1.1.0        # AMQP messaging
    - psycopg2
    - py
    - pycapo              # NRAO settings
    - pytest
    - pytz
    - python-dateutil     # date/time parsing
    - simplejson          # JSON conversion
    - sqlalchemy          # ORM
    - requests
    - zope.sqlalchemy
  host:
    - python
    - astropy
    - beautifulsoup4
    - blessings           # console color
    - cx_oracle
    - jxmlease
    - lxml
    - mysqlclient
    - numpy~=1.16
    - pendulum            # date/time formatting
    - pid
    - pika~=1.1.0        # AMQP messaging
    - psycopg2
    - py
    - pycapo              # NRAO settings
    - pytest
    - pytz
    - python-dateutil     # date/time parsing
    - simplejson          # JSON conversion
    - sqlalchemy          # ORM
    - requests
    - zope.sqlalchemy

build:
  noarch: python
  script: python setup.py install

about:
  home: https://open-bitbucket.nrao.edu/projects/SSA/repos/archive
  license: GNU General Public v2 (GPLv2)
  license_family: GPL2
  license_file:
  summary: Python Archive Tool (pyat)
  doc_url:
  dev_url:
